From 61073c25b3792ad286fb68784611ae9253253416 Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Tue, 31 Mar 2020 18:32:53 +0800
Subject: [PATCH 12/28] cpu.py: fix migrate error on x86 when vlu enable in
 lscpu

'lscpu' show some vlu info with unregular type(key: value), this patch
remove this from the stdout to avoid it.

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 virttest/cpu.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/virttest/cpu.py b/virttest/cpu.py
index 309c3093..2d34bf2e 100644
--- a/virttest/cpu.py
+++ b/virttest/cpu.py
@@ -684,7 +684,8 @@ def get_cpu_info(session=None):
             output = session.cmd_output(cmd).splitlines()
         finally:
             session.close()
-    cpu_info = dict(map(lambda x: [i.strip() for i in x.split(":")], output))
+    cpu_info = dict(map(lambda x: [i.strip() for i in x.split(":")], 
+                        [item for item in output if len(item.split(":")) == 2]))
     return cpu_info
 
 
-- 
2.23.0

